{* editLogoStranek *}
<button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#editLogoModal">
    <i class="fas fa-edit me-2"></i>Editovat
</button>
{*edit logo Modal*}
<div class="modal fade" id="editLogoModal">
    <div class="modal-dialog">
        <form n:name=editLogoForm>
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title">Editace loga stránek</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    {if $logo != ''}
                        <div class="form-label">Původní logo</div>
                        <div class="d-flex justify-content-center px-5 py-3">
                            <img src="{$basePath}/src/images/logo/{$logo}" class="img-fluid border p-2 shadow" style="max-width: 75%; max-height: 10rem">
                        </div>
                        <hr>
                    {/if}
                    <div class="mb-3">
                        <div class="input-group">
                            <span class="input-group-text"><i class="far fa-image"></i></span>
                            <input n:name="logo" class="form-control logoImage">
                        </div>
                        <div class="form-text">Obrázek loga musí být formátu "JPEG, PNG, GIF nebo WebP".</div>
                        <div class="form-text">Doporučená velikost 550 x 150 px.</div>
                    </div>
                    <label class="form-label">Nové logo</label>
                    <div class="d-flex justify-content-center px-5 py-3 logoImagePreview"></div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button class="btn btn-success" n:name="send"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function(){
        $('.logoImage').change(function(){
            $(".logoImagePreview").html('');
            for (var i = 0; i < $(this)[0].files.length; i++) {
                $(".logoImagePreview").append('<img src="'+window.URL.createObjectURL(this.files[i])+'" class="img-fluid border p-2 shadow" style="max-width: 75%; max-height: 10rem">');
            }
        });
    });
</script>